List
curl --request GET \
--url https://{defaultHost}/v1/abandoned_checkouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/abandoned_checkouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/abandoned_checkouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/abandoned_checkouts"
},
"data": [
{
"id": "2b62cd14-417b-4605-b8ca-ec0eff80c65f",
"object": "abandoned_checkout",
"notifications_enabled": true,
"notification_status": "not_scheduled",
"notifications_scheduled_at": [],
"portal_url": "http://app.example.com/portal_redirect/abandoned_checkouts/2b62cd14-417b-4605-b8ca-ec0eff80c65f",
"recovery_status": "abandoned",
"recovered_at": null,
"checkout": "d0f215a5-bc53-44ba-92ad-832b1dbb9477",
"customer": "9f3721b7-53d5-4693-9cac-3848aac19f6b",
"promotion": null,
"recovered_checkout": null,
"created_at": 1782483695,
"updated_at": 1782485795
}
]
}Abandonded Checkouts
List
Returns a list of your abandonded checkouts.
GET
/
v1
/
abandoned_checkouts
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given customers.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
Only return objects that are live mode or test mode.
Only return objects with the given notification_status.
The page of items you want returned.
Was this page helpful?
⌘I